> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/knowledgebase/articles/update.md).

# Update Article

## Update Article

<mark style="color:orange;">`PUT`</mark> `https://{{account_id}}.acquire.io/api/v1/kb/article/update/{{id}}`

This endpoint allows you to update the details of an existing article in the knowledge base. The article ID must be passed in to the endpoint as a path parameter. The Knowledge Base groupId must be passed in to the body.

#### Path Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| id   | integer | Article ID  |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_key}} |

#### Request Body

| Name    | Type    | Description                                          |
| ------- | ------- | ---------------------------------------------------- |
| groupId | integer | ID of the Knowledge Base that the article belongs to |

{% tabs %}
{% tab title="200 Article successfully updated." %}

```
{
  "data": {
    "success": true,
    "message": "Article update successfully"
  }
}
```

{% endtab %}
{% endtabs %}

### Body (row)

```
{
  "articleSlug": "string",
  "featuresImage": "string",
  "groupId": 0,
  "title": "New Title",
  "tags": [
    0
  ],
  "description": "",
  "jsonContent": {},
  "departmentIds": [
    1,
    2
  ],
  "relatedArtIds": [
    1,
    2
  ],
  "addCategory": [
    "name"
  ],
  "articleCategories": [
    0
  ],
  "seoTitle": "string",
  "seoDescription": "string",
  "author": 0,
  "botAssigned": "no",
  "autoRelated": "no",
  "access": "internal",
  "status": "draft"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/articles/update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
